## com.google.gwt.user.client.ui
Interface IndexedPanel

All Known Implementing Classes:
  AbsolutePanel, CellPanel, ComplexPanel, DeckPanel, DockPanel, FlowPanel, HorizontalPanel, HTMLPanel, RootPanel, StackPanel, TabPanel, VerticalPanel

    public interface IndexedPanel

A panel that imposes an explicit ordering on its children.

Method Summary
`Widget` `getWidget(int index)` Gets the child widget at the specified index.
`int` `getWidgetCount()` Gets the number of child widgets in this panel.
`int` `getWidgetIndex(Widget child)` Gets the index of the specified child widget.
`boolean` `remove(int index)` Removes the widget at the specified index.

Method Detail

### getWidget

    Widget getWidget(int index)

  Gets the child widget at the specified index.

  Parameters:
    `index` - the child widget's index
  Returns:
    the child widget

### getWidgetCount

    int getWidgetCount()

  Gets the number of child widgets in this panel.

  Returns:
    the number of children

### getWidgetIndex

    int getWidgetIndex(Widget child)

  Gets the index of the specified child widget.

  Parameters:
    `child` - the widget to be found
  Returns:
    the widget's index, or `-1` if it is not a child of this panel

### remove

    boolean remove(int index)

  Removes the widget at the specified index.

  Parameters:
    `index` - the index of the widget to be removed
  Returns:
    `false` if the widget is not present